Retrieves all unavailability types
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| name |
Name of the unavailability type |
string |
Required Max length: 20 |
| description |
Long description |
string |
Max length: 100 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "3a15c6b5-6ad2-4d34-9ee8-979efc43a953",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "69f88174-e415-4f1a-8ab2-3e87224bf292",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "ecee3e7d-91bf-400a-884b-f9f15ecaa2c2",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9e894a17-f120-451a-94c2-422cd8e801f3",
"db_currency_id": "d8453592-bc02-4481-a5fd-b75da77944d1",
"db_language_id": "4be6214f-912d-406b-a4e0-87af843ab45c",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-16T15:06:16.8067233+00:00"
},
"modified_dateutc": "2026-10-16T15:06:16.8067233+00:00"
}